Subject: Re: [NNTP] Tr: Last Call: draft-elie-nntp-list-additions (Network News Transfer Protocol (NNTP) Additions to LIST Command) to Proposed Standard

From: Julien ÉLIE <[email-masked]>
Date: Mon, 5 Jul 2010 23:50:54 +0200

Hi Russ,

>> LIST MODERATORS
>> 2.4.3.  Example
>>
>>       Similarly, a "%s" pattern rule cannot be used for the moderation
>>       submission template for two moderated newsgroups whose names
>>       differ only by the case of their characters.
>>
>> Left hand sides of email addresses are actually case sensitive (although
>> most end systems treat them as case-insensitive).
>> Therefore, is this remark for LIST MODERATORS accurate?  Maybe we should
>> say "It is recommended not to use [...]" because, clearly, "cannot"
>> is wrong.
>
> While the LHS of an email address is case-sensitive in the standard, most
> mail systems do not treat it as case-sensitive without going to special
> work to configure them to do so, which means that in practice relying on
> that case-sensitivity is unlikely to work.  We should probably say that
> explicitly, but I think the provision of the text here is correct.

Thanks for your input on that subject.
After having seen with Alexey, we're about to reword the paragraph
as follows:

      Similarly, it is not recommended to use a "%s" pattern rule for
      the moderation submission template for two moderated newsgroups
      whose names differ only by the case of their characters, because
      email systems are frequently treating left-hand-side of email
      addresses as case-sensitive.

I hope it's fine for everyone.

-- 
Julien ÉLIE

« A program should always respond to the user in the way that astonishes
  him least. » (Plauger's Law of Least Astonishment)

---

From: Russ Allbery <[email-masked]>
Date: Mon, 05 Jul 2010 14:55:10 -0700

> I hope it's fine for everyone.

I would replace "are frequently treating" with "frequently treat the".
Also, wouldn't it be good to sprinkle some RFC 2119 language in here?  I
think SHOULD NOT is warranted, since this will cause interoperability
problems.

-- 
Russ Allbery ([email-masked])             <http://www.eyrie.org/~eagle/>

---

From: Julien ÉLIE <[email-masked]>
Date: Wed, 14 Jul 2010 23:25:16 +0200

Hi all,

Something I had planned to change but I forgot in draft -03:
    https://datatracker.ietf.org/doc/draft-elie-nntp-list-additions/

Section 3.2:

      [C] IHAVE <[email-masked]>
      [S] 335 Send it; end with <CR-LF>.<CR-LF>
      [C] Path: demo!.POSTED.somewhere!not-for-mail
      [C] From: "Demo User" <[email-masked]>
      [C] Newsgroups: misc.test
      [C] Subject: I am just a test article
      [C] Date: 18 Oct 2009 16:02:45 +0200
      [C] Organization: An example, Paris, FR.
      [C] Message-ID: <[email-masked]>
      [C]
      [C] This is just a test article.
      [C] .
      [S] 235 Article transferred OK

      [C] POST
      [S] 340 Input article; end with <CR-LF>.<CR-LF>
      [C] From: "Demo User" <[email-masked]>
      [C] Newsgroups: misc.test
      [C] Subject: I am just a test article
      [C]
      [C] This is just a test article.
      [C] .
      [S] 441 Newsgroup "misc.test" has been renamed to "foo.bar"

In both these examples, I will add the header field:

      [C] MIME-Version: 1.0

We had not had yet the discussion that occurred in January 2010
in the ietf-usefor mailing-list when I first wrote these
examples last year.

References:
    http://www.imc.org/ietf-usefor/mail-archive/msg04755.html
    http://www.imc.org/ietf-usefor/mail-archive/msg04759.html
    http://www.imc.org/ietf-usefor/mail-archive/msg04762.html

I believe that's OK to add this header field.  It is a very minor
change in the draft.
Better comply with RFC 5536 in the messages we post :-)
Best practice!

-- 
Julien ÉLIE

« First Guy (proudly):  "My wife's an angel!"
  Second Guy:  "You're lucky, mine's still alive." »